package com.gfg.example_recyclerview

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import ru.myitschool.work.R
import ru.myitschool.work.utils.HistoryItem

class adapterScrollView(private val entryList: List<HistoryItem>) :
    RecyclerView.Adapter<adapterScrollView.MyViewHolder>() {

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): MyViewHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.person_card, parent, false)
        return MyViewHolder(view)
    }

    override fun onBindViewHolder(holder: MyViewHolder, position: Int) {
        val examItem = entryList[position]

        holder.entryName.text = examItem.entryName
        holder.entryDate.text = examItem.entryDate
        holder.entryMessage.text = examItem.entryMessage

        if(examItem.entryPicTime != null)
            holder.entryPicTime.setImageResource(examItem.entryPicTime!!)

        if(examItem.entryPicCard != null)
            holder.entryPicCard.setImageResource(examItem.entryPicCard!!)
    }

    override fun getItemCount(): Int {
        return entryList.size
    }

    // ViewHolder class
    class MyViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        val entryName: TextView = itemView.findViewById(R.id.EntryName)
        val entryDate: TextView = itemView.findViewById(R.id.EntryDate)
        val entryMessage: TextView = itemView.findViewById(R.id.EntryMessage)
        val entryPicTime: ImageView = itemView.findViewById(R.id.entryPicTime)
        val entryPicCard: ImageView = itemView.findViewById(R.id.entryPicCard)
    }
}
